org.apache.ignite.internal.visor.cache

## Class VisorCacheStoreConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheStoreConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorCacheStoreConfiguration
    extends Object
    implements Serializable

Data transfer object for cache store configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheStoreConfiguration()`

### Method Summary

Methods
`boolean` `enabled()`
`static VisorCacheStoreConfiguration` `from(CacheConfiguration ccfg)`
`String` `store()`
`void` `store(String store)`
`String` `toString()`
`boolean` `valueBytes()`
`void` `valueBytes(boolean valBytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheStoreConfiguration

    public VisorCacheStoreConfiguration()

### Method Detail

#### from

    public static VisorCacheStoreConfiguration from(CacheConfiguration ccfg)

Parameters:
  `ccfg` - Cache configuration.
Returns:
  Data transfer object for cache store configuration properties.

#### enabled

    public boolean enabled()

Returns:
  `true` if cache has store.

#### store

    @Nullable
    public String store()

Returns:
  Cache store class name.

#### store

    public void store(String store)

Parameters:
  `store` - Cache store class name.

#### valueBytes

    public boolean valueBytes()

Returns:
  Should value bytes be stored.

#### valueBytes

    public void valueBytes(boolean valBytes)

Parameters:
  `valBytes` - New should value bytes be stored.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015